import { IPublicApiCommonUI, IPublicTypeContextMenuAction } from '@gant-lowcode/lowcode-types';
import { HelpTip, IEditor, Tip as InnerTip, Title as InnerTitle } from '@gant-lowcode/lowcode-editor-core';
import { Balloon, Breadcrumb, Button, Card, Checkbox, DatePicker, Dialog, Dropdown, Form, Icon, Input, Loading, Message, Overlay, Pagination, Radio, Search, Select, SplitButton, Step, Switch, Tab, Table, Tree, TreeSelect, Upload, Divider } from '@alifd/next';
import { editorSymbol } from '../symbols';
import { ReactElement } from 'react';
export declare class CommonUI implements IPublicApiCommonUI {
    [editorSymbol]: IEditor;
    Balloon: typeof Balloon;
    Breadcrumb: typeof Breadcrumb;
    Button: typeof Button;
    Card: typeof Card;
    Checkbox: typeof Checkbox;
    DatePicker: typeof DatePicker;
    Dialog: typeof Dialog;
    Dropdown: typeof Dropdown;
    Form: typeof Form;
    Icon: typeof Icon;
    Input: typeof Input;
    Loading: typeof Loading;
    Message: typeof Message;
    Overlay: typeof Overlay;
    Pagination: typeof Pagination;
    Radio: typeof Radio;
    Search: typeof Search;
    Select: typeof Select;
    SplitButton: typeof SplitButton;
    Step: typeof Step;
    Switch: typeof Switch;
    Tab: typeof Tab;
    Table: typeof Table;
    Tree: typeof Tree;
    TreeSelect: typeof TreeSelect;
    Upload: typeof Upload;
    Divider: typeof Divider;
    ContextMenu: ((props: {
        menus: IPublicTypeContextMenuAction[];
        children: React.ReactElement[] | React.ReactElement;
    }) => ReactElement) & {
        create(menus: IPublicTypeContextMenuAction[], event: MouseEvent | React.MouseEvent): void;
    };
    constructor(editor: IEditor);
    get Tip(): typeof InnerTip;
    get HelpTip(): typeof HelpTip;
    get Title(): typeof InnerTitle;
}
